<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <com.prankster.fx.ui.view.MyTv
            android:id="@+id/title_layout"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:gravity="center"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="18sp"
            app:apply_font="true"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <ImageView
            android:id="@+id/im_import"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:background="@drawable/home_recommend_bg"
            android:padding="8dp"
            android:src="@drawable/icon_import"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/title_layout"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/title_layout" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/random_play_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <FrameLayout
            android:id="@+id/card"
            android:layout_width="110dp"
            android:layout_height="110dp"
            android:background="@drawable/home_recommend_round_bg"
            android:elevation="3dp"
            android:padding="4dp">

            <ImageView
                android:id="@+id/audio_im"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_gravity="center"
                android:src="@mipmap/logo" />
        </FrameLayout>

        <LinearLayout
            android:id="@+id/linear_play"
            android:layout_width="wrap_content"
            android:layout_height="38dp"
            android:layout_marginStart="32dp"
            android:background="@drawable/home_recommend_bg"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingStart="10dp"
            android:paddingEnd="10dp">

            <ImageView
                android:id="@+id/btn_play"
                android:layout_width="22dp"
                android:layout_height="22dp"
                android:src="@drawable/selector_play_pause" />

            <com.prankster.fx.ui.view.MyTv
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="@string/play_audio"
                android:textColor="@color/white"
                app:apply_font="true" />
        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linear_tab"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/frame_home"
            android:layout_width="0dp"
            android:layout_height="60dp"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/imHome"
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:layout_centerInParent="true"
                android:src="@drawable/selector_tab_home" />

            <View
                android:id="@+id/indicator_home"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:layout_alignParentBottom="true"
                android:background="@color/indicator_color"
                android:visibility="gone" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/frame_add"
            android:layout_width="0dp"
            android:layout_height="60dp"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/imAdd"
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:layout_centerInParent="true"
                android:layout_gravity="center"
                android:src="@drawable/selector_tab_record" />

            <View
                android:id="@+id/indicator_add"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:layout_alignParentBottom="true"
                android:background="@color/indicator_color"
                android:visibility="gone" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/frame_collect"
            android:layout_width="0dp"
            android:layout_height="60dp"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/imCollect"
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:layout_centerInParent="true"
                android:src="@drawable/selector_tab_like" />

            <View
                android:id="@+id/indicator_collect"
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:layout_alignParentBottom="true"
                android:background="@color/indicator_color"
                android:visibility="gone" />
        </RelativeLayout>
    </LinearLayout>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/vp2"
        android:layout_width="match_parent"
        android:layout_margin="8dp"
        android:layout_height="match_parent"/>


</LinearLayout>